vstring.tcc File Reference

Go to the source code of this file.

## Namespaces

| __gnu_cxx
| std

## Macros

#define | _VSTRING_TCC

## Functions

template<typename _CharT , typename _Traits , typename _Alloc , template< typename, typename, typename > class _Base>
basic_istream< _CharT, _Traits > & | std::getline (basic_istream< _CharT, _Traits > &__is, __gnu_cxx::__versa_string< _CharT, _Traits, _Alloc, _Base > &__str, _CharT __delim)
template<typename _CharT , typename _Traits , typename _Alloc , template< typename, typename, typename > class _Base>
__versa_string< _CharT, _Traits, _Alloc, _Base > | __gnu_cxx::operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT , typename _Traits , typename _Alloc , template< typename, typename, typename > class _Base>
__versa_string< _CharT, _Traits, _Alloc, _Base > | __gnu_cxx::operator+ (const _CharT *__lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT , typename _Traits , typename _Alloc , template< typename, typename, typename > class _Base>
__versa_string< _CharT, _Traits, _Alloc, _Base > | __gnu_cxx::operator+ (_CharT __lhs, const __versa_string< _CharT, _Traits, _Alloc, _Base > &__rhs)
template<typename _CharT , typename _Traits , typename _Alloc , template< typename, typename, typename > class _Base>
__versa_string< _CharT, _Traits, _Alloc, _Base > | __gnu_cxx::operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, const _CharT *__rhs)
template<typename _CharT , typename _Traits , typename _Alloc , template< typename, typename, typename > class _Base>
__versa_string< _CharT, _Traits, _Alloc, _Base > | __gnu_cxx::operator+ (const __versa_string< _CharT, _Traits, _Alloc, _Base > &__lhs, _CharT __rhs)
template<typename _CharT , typename _Traits , typename _Alloc , template< typename, typename, typename > class _Base>
basic_istream< _CharT, _Traits > & | std::operator>> (basic_istream< _CharT, _Traits > &__is, __gnu_cxx::__versa_string< _CharT, _Traits, _Alloc, _Base > &__str)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <ext/vstring.h>.

Definition in file vstring.tcc.